View Complete Thread
  • Re: Is IIS7 Supports Framework 4.5?

    Dec 19, 2012 01:25 AM|Mamba Dai - MSFT|LINK

    Hi,

    ChetanPointer

    I have uploaded web application on IIS7 , which gives me target framework Error on web.config

     after intalling 4.5 , Also i check Application pool

    which is listed the framework 4.0 classsic N intregrated but not show 4.5 

    The .NET Framework 4.5 is supported on IIS 8, but you also can run it on the IIS 7.x.  When you install the .net 4.5 on your machine(it's not windows 8 or windows server 2012), it rewrites the .net 4.0 and retains the .net 4.0. So you just need to set the .net framework in app pool to 4.0. it's ok.

    Check this reference about IIS 8.0 Using ASP.NET 3.5 and ASP.NET 4.5 :

    http://www.iis.net/learn/get-started/whats-new-in-iis-8/iis-80-using-aspnet-35-and-aspnet-45

    Please mark the replies as answers if they help or unmark if not.
    Feedback to us